# Class Exception | thelia

# Class Exception

#### Direct known subclasses

LogicException, RuntimeException

#### Indirect known subclasses

Thelia\Exception\MemberAccessException
PHP Extension: Core
Documented at php.net

Methods summary
`public` | # `__construct( mixed $message, mixed $code, mixed $previous )`
`final public` | # `getMessage( )`
`final public` | # `getCode( )`
`final public` | # `getFile( )`
`final public` | # `getLine( )`
`final public` | # `getTrace( )`
`final public` | # `getPrevious( )`
`final public` | # `getTraceAsString( )`
`public` | # `__toString( )`

Properties summary
`protected string` | $message | `''` | #
`protected integer` | $code | `0` | #
`protected mixed` | $file | `` | #
`protected mixed` | $line | `` | #